use terminwahl_typen::PlannedAppointment;

use super::Pool;

pub async fn save_appointments(
    pool: &Pool,
    appointments: &[PlannedAppointment],
) -> Result<(), sqlx::Error> {
    for appointment in appointments {
        sqlx::query("INSERT INTO appointments (teacher_id, slot_id) VALUES ($1, $2)")
            .bind(appointment.teacher_id)
            .bind(appointment.slot_id)
            .execute(pool)
            .await?;
    }
    Ok(())
}
